質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.70%

Linux Mintでカーネルアップデートが出来ません

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 1,637

tama2015

score 57

Linux Mint 18.1(Cinnamon)を利用しています。

システム管理のアップデートマネージャから
カーネルをアップデートしようと致しましたところ
以下のように表示が出て中断されてしまいます。

E: /var/cache/apt/archives/linux-image-extra-4.4.0-81-generic_4.4.0-81.104_amd64.deb: 
'/lib/modules/4.4.0-81-generic/kernel/drivers/media/rc/nuvoton-cir.ko.dpkg-new' 
をオープンできません: 許可されていない操作です

どのように対処したらよいか、どなたかお知恵を頂けないでしょうか。
*当方は、Linuxは、あまり知識ございません。

よろしくお願い致します。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

check解決した方法

0

何度、カーネルアップデートを行っても上手くいきませんでしたが、
以下のページに、Sophosの記述を見つけたので、
リアルタイムスキャンの機能をdisableにしたらうまく
カーネルアップデートが出来るようになりました。

以下のコマンドで、Sophosの機能をdisable化したら上手く
行きました。
sudo /opt/sophos-av/bin/savdctl disable

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1696132

Tim Passingham (tim-8aw3u04umo) wrote on 2017-06-13:     #8

To those not running Sophos - this will be meaningless, so please ignore!

However, to anyone using Sophos and seeing this report, I discovered that the problem only occurred on one of my systems because that was the only system not running Talpa - the better 'on access' scanning tool. It was running fanotify (the default) instead (because I didn't have the linux headers for the older kernel I had reinstalled).

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

0

以下のURLを参照されると良いと思います。

http://dskjal.com/linux/update-kernel.html

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/06/24 20:30 編集

    4.4.0-79を利用して起動し、教えて頂いたリンクを参考にして
    4.4.0-81を削除してから、再度インストールしましたが、

    「エラーが発生しました」のダイアログが出てきまして

    内容が以下の表示が出てしまいます。


    E: /var/cache/apt/archives/linux-headers-4.4.0-81_4.4.0-81.104_all.deb: 新しいファイル '/var/lib/dpkg/info/linux-headers-4.4.0-81.list-new' を作成できません: 許可されていない操作です
    E: /var/cache/apt/archives/linux-image-extra-4.4.0-81-generic_4.4.0-81.104_amd64.deb: '/lib/modules/4.4.0-81-generic/kernel/drivers/isdn/hardware/avm/avm_cs.ko.dpkg-new' をオープンできません: 許可されていない操作です



    アップデートは完了の表記は出ているのですが、`4.4.0-81`で起動してみますと、
    ソフトウェアレンダリングモードで実行中と表示が出てしまい、
    wifiが利用出来ない状態になります。(ドライバが読み込めていないようです。)

    再起動させて、以前のカーネルを選んで起動すると元に戻ります。


    何か、対処法をご存知の方がおりましたら、お知恵をお貸しください。
    よろしくお願い致します。

    キャンセル

  • 2017/06/25 10:46

    エラーメッセージは、権限がないという意味と解釈できると思いますが、
    rootユーザとして実行されていますか?

    また、Linux Mint 18.1は、以下のような手順でインストールされたのでしょうか?(下記URLではLinux Mint17をインストールされていますが、手順は同様と思われます)

    http://server-setting.info/ubuntu/linux-mint-windows.html

    キャンセル

  • 2017/07/01 18:01

    コメント頂きありがとうございました。
    関係していると気づかず、記載漏れでしたがリナックス用の sophosアンチウイルス のリアルタイム
    スキャンの機能をオフにすることで、問題なくkernel updateが行えるようになりました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.70%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る